Test a reply without sending; uses AI credits
curl --request POST \
--url https://api.sapt.ai/projects/{projectId}/conversation-assistants/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"configuration": {
"name": "<string>",
"endpoints": [
{
"channel": "email",
"integrationAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"capabilities": [
{
"kind": "book_appointments",
"calendarPresetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"instructions": "<string>",
"memoryKeys": [
"<string>"
],
"reviewExceptions": "<string>",
"maxRepliesPerDay": 15,
"maxOutputTokens": 1088,
"handoffInstructions": "<string>",
"audience": "<unknown>",
"priority": 500,
"remembers": [
"<string>"
]
},
"customerMessage": "<string>",
"history": [
{
"text": "<string>"
}
]
}
'import requests
url = "https://api.sapt.ai/projects/{projectId}/conversation-assistants/test"
payload = {
"configuration": {
"name": "<string>",
"endpoints": [
{
"channel": "email",
"integrationAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"capabilities": [
{
"kind": "book_appointments",
"calendarPresetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"instructions": "<string>",
"memoryKeys": ["<string>"],
"reviewExceptions": "<string>",
"maxRepliesPerDay": 15,
"maxOutputTokens": 1088,
"handoffInstructions": "<string>",
"audience": "<unknown>",
"priority": 500,
"remembers": ["<string>"]
},
"customerMessage": "<string>",
"history": [{ "text": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
configuration: {
name: '<string>',
endpoints: [
{channel: 'email', integrationAccountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}
],
capabilities: [
{
kind: 'book_appointments',
calendarPresetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
],
instructions: '<string>',
memoryKeys: ['<string>'],
reviewExceptions: '<string>',
maxRepliesPerDay: 15,
maxOutputTokens: 1088,
handoffInstructions: '<string>',
audience: '<unknown>',
priority: 500,
remembers: ['<string>']
},
customerMessage: '<string>',
history: [{text: '<string>'}]
})
};
fetch('https://api.sapt.ai/projects/{projectId}/conversation-assistants/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sapt.ai/projects/{projectId}/conversation-assistants/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'configuration' => [
'name' => '<string>',
'endpoints' => [
[
'channel' => 'email',
'integrationAccountId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
],
'capabilities' => [
[
'kind' => 'book_appointments',
'calendarPresetId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
],
'instructions' => '<string>',
'memoryKeys' => [
'<string>'
],
'reviewExceptions' => '<string>',
'maxRepliesPerDay' => 15,
'maxOutputTokens' => 1088,
'handoffInstructions' => '<string>',
'audience' => '<unknown>',
'priority' => 500,
'remembers' => [
'<string>'
]
],
'customerMessage' => '<string>',
'history' => [
[
'text' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sapt.ai/projects/{projectId}/conversation-assistants/test"
payload := strings.NewReader("{\n \"configuration\": {\n \"name\": \"<string>\",\n \"endpoints\": [\n {\n \"channel\": \"email\",\n \"integrationAccountId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"capabilities\": [\n {\n \"kind\": \"book_appointments\",\n \"calendarPresetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"instructions\": \"<string>\",\n \"memoryKeys\": [\n \"<string>\"\n ],\n \"reviewExceptions\": \"<string>\",\n \"maxRepliesPerDay\": 15,\n \"maxOutputTokens\": 1088,\n \"handoffInstructions\": \"<string>\",\n \"audience\": \"<unknown>\",\n \"priority\": 500,\n \"remembers\": [\n \"<string>\"\n ]\n },\n \"customerMessage\": \"<string>\",\n \"history\": [\n {\n \"text\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sapt.ai/projects/{projectId}/conversation-assistants/test")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"configuration\": {\n \"name\": \"<string>\",\n \"endpoints\": [\n {\n \"channel\": \"email\",\n \"integrationAccountId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"capabilities\": [\n {\n \"kind\": \"book_appointments\",\n \"calendarPresetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"instructions\": \"<string>\",\n \"memoryKeys\": [\n \"<string>\"\n ],\n \"reviewExceptions\": \"<string>\",\n \"maxRepliesPerDay\": 15,\n \"maxOutputTokens\": 1088,\n \"handoffInstructions\": \"<string>\",\n \"audience\": \"<unknown>\",\n \"priority\": 500,\n \"remembers\": [\n \"<string>\"\n ]\n },\n \"customerMessage\": \"<string>\",\n \"history\": [\n {\n \"text\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sapt.ai/projects/{projectId}/conversation-assistants/test")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"configuration\": {\n \"name\": \"<string>\",\n \"endpoints\": [\n {\n \"channel\": \"email\",\n \"integrationAccountId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"capabilities\": [\n {\n \"kind\": \"book_appointments\",\n \"calendarPresetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"instructions\": \"<string>\",\n \"memoryKeys\": [\n \"<string>\"\n ],\n \"reviewExceptions\": \"<string>\",\n \"maxRepliesPerDay\": 15,\n \"maxOutputTokens\": 1088,\n \"handoffInstructions\": \"<string>\",\n \"audience\": \"<unknown>\",\n \"priority\": 500,\n \"remembers\": [\n \"<string>\"\n ]\n },\n \"customerMessage\": \"<string>\",\n \"history\": [\n {\n \"text\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"proposal": {},
"disposition": "<string>",
"sideEffects": false
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Conversation assistants
Test a reply without sending; uses AI credits
POST
/
projects
/
{projectId}
/
conversation-assistants
/
test
Test a reply without sending; uses AI credits
curl --request POST \
--url https://api.sapt.ai/projects/{projectId}/conversation-assistants/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"configuration": {
"name": "<string>",
"endpoints": [
{
"channel": "email",
"integrationAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"capabilities": [
{
"kind": "book_appointments",
"calendarPresetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"instructions": "<string>",
"memoryKeys": [
"<string>"
],
"reviewExceptions": "<string>",
"maxRepliesPerDay": 15,
"maxOutputTokens": 1088,
"handoffInstructions": "<string>",
"audience": "<unknown>",
"priority": 500,
"remembers": [
"<string>"
]
},
"customerMessage": "<string>",
"history": [
{
"text": "<string>"
}
]
}
'import requests
url = "https://api.sapt.ai/projects/{projectId}/conversation-assistants/test"
payload = {
"configuration": {
"name": "<string>",
"endpoints": [
{
"channel": "email",
"integrationAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"capabilities": [
{
"kind": "book_appointments",
"calendarPresetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"instructions": "<string>",
"memoryKeys": ["<string>"],
"reviewExceptions": "<string>",
"maxRepliesPerDay": 15,
"maxOutputTokens": 1088,
"handoffInstructions": "<string>",
"audience": "<unknown>",
"priority": 500,
"remembers": ["<string>"]
},
"customerMessage": "<string>",
"history": [{ "text": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
configuration: {
name: '<string>',
endpoints: [
{channel: 'email', integrationAccountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}
],
capabilities: [
{
kind: 'book_appointments',
calendarPresetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
],
instructions: '<string>',
memoryKeys: ['<string>'],
reviewExceptions: '<string>',
maxRepliesPerDay: 15,
maxOutputTokens: 1088,
handoffInstructions: '<string>',
audience: '<unknown>',
priority: 500,
remembers: ['<string>']
},
customerMessage: '<string>',
history: [{text: '<string>'}]
})
};
fetch('https://api.sapt.ai/projects/{projectId}/conversation-assistants/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sapt.ai/projects/{projectId}/conversation-assistants/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'configuration' => [
'name' => '<string>',
'endpoints' => [
[
'channel' => 'email',
'integrationAccountId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
],
'capabilities' => [
[
'kind' => 'book_appointments',
'calendarPresetId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
],
'instructions' => '<string>',
'memoryKeys' => [
'<string>'
],
'reviewExceptions' => '<string>',
'maxRepliesPerDay' => 15,
'maxOutputTokens' => 1088,
'handoffInstructions' => '<string>',
'audience' => '<unknown>',
'priority' => 500,
'remembers' => [
'<string>'
]
],
'customerMessage' => '<string>',
'history' => [
[
'text' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sapt.ai/projects/{projectId}/conversation-assistants/test"
payload := strings.NewReader("{\n \"configuration\": {\n \"name\": \"<string>\",\n \"endpoints\": [\n {\n \"channel\": \"email\",\n \"integrationAccountId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"capabilities\": [\n {\n \"kind\": \"book_appointments\",\n \"calendarPresetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"instructions\": \"<string>\",\n \"memoryKeys\": [\n \"<string>\"\n ],\n \"reviewExceptions\": \"<string>\",\n \"maxRepliesPerDay\": 15,\n \"maxOutputTokens\": 1088,\n \"handoffInstructions\": \"<string>\",\n \"audience\": \"<unknown>\",\n \"priority\": 500,\n \"remembers\": [\n \"<string>\"\n ]\n },\n \"customerMessage\": \"<string>\",\n \"history\": [\n {\n \"text\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sapt.ai/projects/{projectId}/conversation-assistants/test")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"configuration\": {\n \"name\": \"<string>\",\n \"endpoints\": [\n {\n \"channel\": \"email\",\n \"integrationAccountId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"capabilities\": [\n {\n \"kind\": \"book_appointments\",\n \"calendarPresetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"instructions\": \"<string>\",\n \"memoryKeys\": [\n \"<string>\"\n ],\n \"reviewExceptions\": \"<string>\",\n \"maxRepliesPerDay\": 15,\n \"maxOutputTokens\": 1088,\n \"handoffInstructions\": \"<string>\",\n \"audience\": \"<unknown>\",\n \"priority\": 500,\n \"remembers\": [\n \"<string>\"\n ]\n },\n \"customerMessage\": \"<string>\",\n \"history\": [\n {\n \"text\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sapt.ai/projects/{projectId}/conversation-assistants/test")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"configuration\": {\n \"name\": \"<string>\",\n \"endpoints\": [\n {\n \"channel\": \"email\",\n \"integrationAccountId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"capabilities\": [\n {\n \"kind\": \"book_appointments\",\n \"calendarPresetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"instructions\": \"<string>\",\n \"memoryKeys\": [\n \"<string>\"\n ],\n \"reviewExceptions\": \"<string>\",\n \"maxRepliesPerDay\": 15,\n \"maxOutputTokens\": 1088,\n \"handoffInstructions\": \"<string>\",\n \"audience\": \"<unknown>\",\n \"priority\": 500,\n \"remembers\": [\n \"<string>\"\n ]\n },\n \"customerMessage\": \"<string>\",\n \"history\": [\n {\n \"text\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"proposal": {},
"disposition": "<string>",
"sideEffects": false
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Authorizations
JWT token obtained from /api/auth/token endpoint. Token is verified using JWKS and must include a valid user identifier.
Path Parameters
Body
application/json